<?php

class regTitulo {
	
	protected $titulo;
	protected $botonera = array();
	
	
	public function setTitulo($titulo){
		$this->titulo = $titulo;
	}
	
	public function addBoton($boton){
		$this->botonera[] = $boton;
	}
	
	public function render(){

		$html ='<div id="titulo" class="col-md-12 col-sx-12">
				<div id="titulo_texto" class="pull-left">
					<h4>
						'.$this->titulo.'
					</h4>
				</div>
				<div id="titulo_botonera" class="pull-right">';
					foreach ($this->botonera as $boton) {
						$html.= $boton->render();
					}
		$html .='</div>
					<!-- end pulled right: nav area -->		
				</div>';
		return $html;
	}
	
	public function __toString(){
		return $this->render();
	}
	
}